//-----------------------------------------------------------------------------
// CParticleApp
//
// This application is part of a tutorial on www.WitchLord.com that shows how
// particle systems work. It uses my own Direct3D framework as super class. 
//
// Copyright (c) 2000 Andreas Jnsson
//-----------------------------------------------------------------------------
#ifndef PARTICLEAPP_H
#define PARTICLEAPP_H

#include "d3dapp.h"
#include "renderer.h"
#include "particlesystem.h"

class CParticleApp : public CD3DApp
{
public:
	CParticleApp();

protected:
	HRESULT Initialize(char *szCmdLine);
	HRESULT Terminate();
	HRESULT UpdateScene();
	HRESULT RenderScene();
	HRESULT ShowStats();

	LRESULT MsgProc( HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam );

	IDirectDrawSurface7 *m_pParticleTexture;
	CRenderer            m_Renderer;
	CParticleSystem      m_ParticleSystems[3];
	int                  m_nNumSystems;
};

#endif